> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Status > Gets a user's status in your workspace. ### Changelog | Version | Description | | ---------------- | ------------| |8.6.0 | Added `statusSource` and `statusExpiresAt` response fields. | |1.2.0 | Added | ## OpenAPI ````json GET /api/v1/users.getStatus { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "User Management" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "LDAP" }, { "name": "Permissions" }, { "name": "Roles" }, { "name": "Users" }, { "name": "SAML" } ], "paths": { "/api/v1/users.getStatus": { "get": { "tags": [ "Users" ], "summary": "Get Status", "description": "Gets a user's status in your workspace.\n\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|8.6.0 | Added `statusSource` and `statusExpiresAt` response fields. |\n|1.2.0 | Added |", "operationId": "get-api-v1-users.getStatus", "parameters": [ { "name": "userId", "in": "query", "description": "The `userId` of the user. Alternatively, you can use the `username` property and value. If the value is not provided, the authenticated user is used. ", "schema": { "type": "string" }, "example": "W7NHuX5ri2e3mu2Fc" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "_id": { "type": "string", "description": "The user ID." }, "connectionStatus": { "type": "string", "description": "The connection status. Returned when requesting the authenticated user's own status." }, "status": { "type": "string" }, "statusSource": { "type": "string", "description": "The claim that set the current status. One of `internal`, `manual`, or `external`. Omitted when the user has no recorded status source." }, "statusExpiresAt": { "type": "string", "description": "Date as an ISO 8601 string indicating when the current status expires. Omitted when the status has no expiration." }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "_id": "W7NHuX5ri2e3mu2Fc", "connectionStatus": "online", "status": "online", "statusSource": "manual", "statusExpiresAt": "2026-06-22T18:00:00Z", "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````